Loading...
Searching...
No Matches
types.h File Reference
Module common
`#include <pcl/pcl_config.h>`
`#include <pcl/pcl_macros.h>`
`#include <vector>`
`#include <cstdint>`
`#include <Eigen/Core>`

Go to the source code of this file.

## Detailed Description

Defines basic non-point types used by PCL.

Definition in file types.h.

## Classes

struct | pcl::detail::int_type< Bits, Signed >
| int_type::type refers to an integral type that satisfies template parameters More...
struct | pcl::detail::int_type< 8, true >
struct | pcl::detail::int_type< 8, false >
struct | pcl::detail::int_type< 16, true >
struct | pcl::detail::int_type< 16, false >
struct | pcl::detail::int_type< 32, true >
struct | pcl::detail::int_type< 32, false >
struct | pcl::detail::int_type< 64, true >
struct | pcl::detail::int_type< 64, false >

## Namespaces

namespace | pcl
namespace | pcl::detail

## Typedefs

template<std::size_t Bits, bool Signed = true>
using | pcl::detail::int_type_t = typename int_type<Bits, Signed>::type
| helper type to use for int_type::type
using | pcl::index_t = detail::int_type_t<detail::index_type_size, detail::index_type_signed>
| Type used for an index in PCL.
using | pcl::uindex_t = detail::int_type_t<detail::index_type_size, false>
| Type used for an unsigned index in PCL.
template<typename Allocator = std::allocator<index_t>>
using | pcl::IndicesAllocator = std::vector<index_t, Allocator>
| Type used for indices in PCL.
using | pcl::Indices = IndicesAllocator<>
| Type used for indices in PCL.
template<typename T>
using | pcl::AlignedVector = std::vector<T, Eigen::aligned_allocator<T>>
| Type used for aligned vector of Eigen objects in PCL.

## Variables

constexpr std::uint8_t | pcl::detail::index_type_size = PCL_INDEX_SIZE
| number of bits in PCL's index type
constexpr bool | pcl::detail::index_type_signed = PCL_INDEX_SIGNED
| signed/unsigned nature of PCL's index type Please use PCL_INDEX_SIGNED when building PCL to choose a type best suited for your needs.